plugins {
    id("com.android.application")
    id("com.google.gms.google-services")

}

android {
    namespace = "com.swiftcleaner.chovey"
    compileSdk = 33


    defaultConfig {
        applicationId = "com.clean_swift"
        minSdk = 28
        targetSdk = 33
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
    }
    // 添加签名配置
    signingConfigs {
        create("release") {
            storeFile = file("../my-key.keystore")
            storePassword = "123456"
            keyAlias = "my_alias"
            keyPassword = "123456"
        }
    }
    buildTypes {
        release {
            isMinifyEnabled = false
            signingConfig = signingConfigs.getByName("release")
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }
    buildFeatures {
        viewBinding = true
    }
    dependenciesInfo {
        includeInApk = true
    }

}

dependencies {

    implementation("androidx.appcompat:appcompat:1.6.1")
    implementation("com.google.android.material:material:1.8.0")
    implementation("androidx.constraintlayout:constraintlayout:2.1.4")
    testImplementation("junit:junit:4.13.2")
    androidTestImplementation("androidx.test.ext:junit:1.1.5")
    androidTestImplementation("androidx.test.espresso:espresso-core:3.5.1")
    //底部弹窗
    api("com.google.android.material:material:1.4.0")
    api("com.github.bumptech.glide:glide:4.15.1")
    api("com.geyifeng.immersionbar:immersionbar:3.2.2")
    api("com.airbnb.android:lottie:5.2.0")

    implementation ("com.google.firebase:firebase-messaging:23.2.1")

}